%define upstream_name    Parse-RecDescent
%define upstream_version 1.967009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A recursive descent parser generator for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.570.200
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced) >= 1.950.0
BuildArch:  noarch

%description
The Parse::RecDescent perl module is used to generate recursive descent
parsers from powerful grammar specifications.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%{__perl} -p -i -e 's|#!.*/usr/local/bin/perl|#!/usr/bin/perl|' `find . -name '*.pl'`
find -type f | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

# now in perl
rm -f %{buildroot}%{_mandir}/*/Text*

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{perl_vendorlib}/Parse
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.967.9-2.mga3
+ Revision: 371533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.967.9-1.mga3
+ Revision: 255292
- update to 1.967009

* Thu Feb 23 2012 jquelin <jquelin> 1.967.6-1.mga2
+ Revision: 213155
- update to 1.967006

* Thu Jan 20 2011 jquelin <jquelin> 1.965.1-1.mga1
+ Revision: 26810
- mageia rebuild
- imported package perl-Parse-RecDescent

